# Create item

Successful execution of this method will generate a new SKU in Wineshipping's system and will return a transaction reference identifier. Store this identifier back into your system for reference later in the event there is an issue with the SKU.

Endpoint: POST /api/SKU/CreateSKU
Version: 3.1.3

## Request fields (application/json):

  - `Authentication` (object, required)
    Credentials are required for all API operations.

  - `Authentication.UserKey` (string, required)
    Example: "C445598CB576468EA35FBB22C55584EF"

  - `Authentication.Password` (string, required)
    Example: "AF63FDAC1E704DC1AC9460F669ABF107"

  - `Authentication.CustomerNo` (string, required)
    Example: "10703"

  - `RequestorInfo` (object, required)
    Information about the person making the request

  - `RequestorInfo.FirstName` (string, required)
    First name of the requester
    Example: "John"

  - `RequestorInfo.LastName` (string, required)
    Last name of the requester
    Example: "Doe"

  - `RequestorInfo.EmailAddress` (string, required)
    Valid email address of the requester
    Example: "john.doe@wineshipping.com"

  - `RequestorInfo.PhoneNumber` (string)
    Contact phone number of the requester
    Example: "555-555-5555"

  - `SKUInfo` (object, required)

  - `SKUInfo.ItemCategory` (string, required)
    Enum: "Wine", "MarketingMaterial", "Merchandise", "TastingFee", "IcePack"

  - `SKUInfo.InventoryManagementType` (any)
    Inventory Management Type determines how an item's inventory will be managed.  WineshippingManagedStorage - Inventory is managed in WS Warehouses. ClientManagedStorage - Inventory is managed by the client in their own warehouses. VirtualItems - Are items required for Point of Sale or fulfillmet such as tasting fees and icepacks. If an item will be fulfilled by both WS and the Client, please select WineshippingManagedStorage (default value).
    Enum: "WineshippingManagedStorage", "ClientManagedStorage", "Virtual"

  - `SKUInfo.ItemNo` (string, required)
    Example: "SKU8866EWINE"

  - `SKUInfo.ItemDescription` (string, required)

  - `SKUInfo.Vintage` (string)
    Example: "2022 CHARDONNAY ESTATE 12/750"

  - `SKUInfo.Varietal` (string, required)
    Required if item category is Wine.

See [varietal codes](../../../../docs/codes/productcodes#varietal-codes) for possible values.
    Example: "CHARD"

  - `SKUInfo.Appellation` (string)
    Example: "ESTATE 12/750"

  - `SKUInfo.Value` (string, required)
    The dollar value of the item.
    Example: "50.99"

  - `SKUInfo.AlcoholByVolume` (string)

  - `SKUInfo.UPCCode` (string)

  - `SKUInfo.UOM` (string, required)
    See [units of measure](../../../../docs/productcodes#units-of-measure) for possible values

  - `SKUInfo.NumBottleInEachCase` (string)
    Number of items in each wholesale case

  - `SKUInfo.NumCasesInEachPallet` (string)
    (COMING SOON) Number of cases per pallet

  - `SKUInfo.Classification` (string)
    Wine: 'Still' or 'Sparkling'

  - `SKUInfo.Comments` (string)


## Response 201 fields

## Response 400 fields

## Response 401 fields

## Response 429 fields

## Response 500 fields
